View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000714Ecere SDKinstallerpublic2012-03-28 18:312014-05-19 01:33
Reporterredj 
Assigned Toredj 
PriorityimmediateSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformCross-PlatformOS\o/OS Version;-)
Product Version0.44 Ryoan-ji 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000714: Include Versioning information from git commit in releases during build
DescriptionInclude Versioning information from git commit in releases during build
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0000859closedredj Automatic git commit info 

-  Notes
(0001125)
redj (administrator)
2013-10-06 23:04
edited on: 2013-10-09 06:54

Fixed by:
https://github.com/ecere/ecere-sdk/commit/52149c1a51725d36dc5d7c5535cfc1d9d7aa043d [^]

(0001130)
jerome (administrator)
2013-10-09 07:12
edited on: 2013-10-09 07:18

How will this work for:

- PPAs
- Debian/Ubuntu builds

Maybe we can handle this in the crossplatform.mk, considering this as a different VCS?

Maybe simply the folder name if git says it's not a git repository, rather than unknown? Looking for and stripping 'ecere-sdk-' :

The PPA would be something like: ecere-sdk-201310090150
the Debian build would say something like: ecere-sdk-0.44.10

(0001131)
jerome (administrator)
2013-10-09 17:40

For PPA/Debian builds, we should probably look for a debian/ folder and read the Changelog.

The cwd approach will work for original source release tarballs.
(0001143)
jerome (administrator)
2013-12-01 20:58

Reopened to address fixes required for the release:
- PPA/Debian builds
- Do not fail to build on git missing
(0001152)
redj (administrator)
2014-01-21 19:19

fixed by https://github.com/redj/ecere-sdk/commit/d562ee08a433780c1e32b961bb8cd37c8c349a0f [^]
(0001154)
jerome (administrator)
2014-01-23 10:29

We need a 'PACKAGE_NAME' so as not to hard-code 'ecere-sdk-' for the directory name detection, as this is the generated files for all projects not just the SDK...

Also, how to properly handle the fact that we have sub-projects deep within the SDK or main package directory? (And where is this PACKAGE_NAME going to be set?)

- Issue History
Date Modified Username Field Change
2012-03-28 18:31 redj New Issue
2012-03-29 07:55 redj Category => Installation System
2012-03-29 07:55 redj Project @8@ => Ecere SDK
2012-03-29 08:15 redj Summary installer: automatic git commit info => automatic git commit info
2012-06-01 23:45 jerome Summary automatic git commit info => Include Versioning information from git commit in releases during build
2012-06-01 23:45 jerome Description Updated
2013-10-06 17:58 jerome Relationship added has duplicate 0000859
2013-10-06 19:28 jerome Target Version 0.44.12 Fixes => 0.44.10 64
2013-10-06 19:29 jerome Status new => assigned
2013-10-06 19:29 jerome Assigned To => redj
2013-10-06 23:04 redj Status assigned => resolved
2013-10-06 23:04 redj Fixed in Version => 0.44.10 64
2013-10-06 23:04 redj Resolution open => fixed
2013-10-06 23:04 redj Note Added: 0001125
2013-10-09 06:54 jerome Note Edited: 0001125
2013-10-09 07:00 jerome Status resolved => closed
2013-10-09 07:12 jerome Status closed => resolved
2013-10-09 07:12 jerome Note Added: 0001130
2013-10-09 07:18 jerome Note Edited: 0001130
2013-10-09 17:40 jerome Note Added: 0001131
2013-10-19 05:10 jerome Note Added: 0001135
2013-10-19 05:36 jerome Note Deleted: 0001135
2013-12-01 20:58 jerome Note Added: 0001143
2013-12-01 20:58 jerome Status resolved => assigned
2014-01-21 17:09 redj Status assigned => resolved
2014-01-21 19:19 redj Note Added: 0001152
2014-01-23 10:29 jerome Note Added: 0001154
2014-01-23 10:29 jerome Status resolved => assigned
2014-02-08 15:27 redj Status assigned => resolved
2014-05-19 01:33 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker